<template>
    <div>
        <h2 class="text-center">Lead List</h2>

        <table class="table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>UUID</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(lead, indexLead) in dataLeads" :key="indexLead">
                    <td>{{ lead.id }}</td>
                    <td><router-link :to="{ name: 'lead_metas', params: { leadId: lead.id }}">{{ lead.uuid }}</router-link></td>
                </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
export default {
    data() {
        return {
            dataLeads: [],
        };
    },
    created() {
        axios
            .get("/api/leads/")
            .then(res => {
                this.dataLeads = res.data;
            })
            .catch(err => {
                console.warn(err.message);
            });
    },
    methods: {}
};
</script>
